import { BrowserWindow, Event, WebContents, HandlerDetails } from 'electron';
import { WindowOptions } from '../../../shared/src/options/model';
type NewWindowHandlerResult = ReturnType<Parameters<WebContents['setWindowOpenHandler']>[0]>;
export declare function onNewWindow(options: WindowOptions, setupWindow: (options: WindowOptions, window: BrowserWindow) => void, details: HandlerDetails, parent?: BrowserWindow): NewWindowHandlerResult;
export declare function onNewWindowHelper(options: WindowOptions, setupWindow: (options: WindowOptions, window: BrowserWindow) => void, details: HandlerDetails, parent?: BrowserWindow): NewWindowHandlerResult;
export declare function onWillNavigate(options: WindowOptions, event: Event, urlToGo: string): Promise<void>;
export declare function onWillPreventUnload(event: Event & {
    sender?: WebContents;
}): void;
export declare function setupNativefierWindow(options: WindowOptions, window: BrowserWindow): void;
export {};
